(TeX-add-style-hook
 "revised"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-class-options
                     '(("IEEEtran" "journal")))
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("url" "hyphens")))
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "path")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "url")
   (add-to-list 'LaTeX-verbatim-macros-with-delims-local "path")
   (add-to-list 'LaTeX-verbatim-macros-with-delims-local "url")
   (TeX-run-style-hooks
    "latex2e"
    "mycommands"
    "IEEEtran"
    "IEEEtran10"
    "paralist"
    "tikz"
    "graphicx"
    "amsmath"
    "amsfonts"
    "amssymb"
    "amsthm"
    "overpic"
    "enumitem"
    "latexsym"
    "epsfig"
    "xcolor"
    "rotating"
    "times"
    "float"
    "subcaption"
    "algorithm"
    "verbatim"
    "fancybox"
    "url"
    "pgfplots")
   (TeX-add-symbols
    '("red" 1))
   (LaTeX-add-labels
    "fig:schematica"
    "subsec:afriat"
    "eq:utility_maximizer"
    "eq:utilitymaximization"
    "eqn: response data"
    "eqn:AfriatFeasibilityTest"
    "eqn:estutility"
    "eq:garp"
    "thm:AfriatTheorem"
    "foot:varian"
    "sec:generalmodel"
    "eq:model"
    "fig:setup"
    "eq:belief"
    "sec:kf"
    "sec:waveform"
    "eq:lineargaussian"
    "eq:target"
    "eq:kalman"
    "eq:are"
    "eq:triangular"
    "eq:gaussianpulse"
    "sec:linear"
    "eq:radaropt"
    "lem:linear"
    "sec:nonlinearbudget"
    "eq:radarnonlinear"
    "eq:ALC"
    "eq:ale"
    "eq:nonlinearFeasibilityTest"
    "eq:nonlinearutility"
    "thm:nonlinear"
    "sec:beam"
    "eq:lineargaussian2"
    "eq:probe_beam"
    "eq:beam"
    "sec:noise"
    "eqn:noisemodel"
    "eqn:noisydataset"
    "eqn:hypothesis"
    "eqn:Statistical_Test"
    "eqn:AE"
    "eqn:def:M"
    "eq:implement"
    "alg:detect"
    "thm:type1"
    "eq:pfa"
    "eq:type1"
    "eqn:probenoisemodel2"
    "eqn:noisydataset2"
    "eqn:Statistical_Test2"
    "eqn:AE2"
    "eqn:def:M2"
    "eq:implement2"
    "alg:detect2"
    "eqn:lowerbound"
    "thm:lowerbound"
    "sec:adapt"
    "fig:optimize"
    "eqn: SPSA Objective"
    "eqn:SPSACost"
    "eqn:SPSA"
    "alg:spsa"
    "sec:linearsim"
    "fig:det"
    "fig:trace"
    "fig:cobb1"
    "fig:simlinearbudget"
    "fig:simnonlinearbudget"
    "sec:beamsim"
    "fig:noisyresponse"
    "fig:noisyprobe"
    "sec:adaptopt"
    "fig:spsa")
   (LaTeX-add-bibliographies
    "$HOME/texstuff/styles/bib/vkm"))
 :latex)

